<?xml version="1.0" encoding="UTF-8"?>
<?altova_samplexml file:///V:/appdev/ADTempus/data/CapturedFiles/%7b729c4252-64db-4d61-a66f-f372ecf02c55%7d.xml?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:output version="1.0" method="html" indent="no" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>
	<xsl:template match="/log">
		<html>
			<head>
				<title>Job Detail Log</title>
				<style type="text/css">
					body
					{
						font-family:Verdana;
						font-size:8pt;
					}
					
					.DetailLog td
					{
						padding-top:2px;
						padding-bottom:2px;
            padding-left:4px;
            padding-right:4px;
						margin:0px;
						border-collapse:collapse;
						vertical-align:top;
						font-family:Verdana;
						font-size:8pt;
						border: solid 1px #EFEFEF;
					}
          
					.DetailLog thead td
					{
						vertical-align:top;
						font-family:Verdana;
						font-size:8pt;
						border-collapse:collapse;
            font-weight:bold;
					}
					
          
					table.DetailLog
					{
						border:solid 1px black;
					}
          tr.ErrorRow td
          {
            color:red;
          }
				</style>
			</head>
			<body>
				<table cellpadding="0" cellspacing="0" class="DetailLog">
          <thead>
					<tr>
						<td>Timestamp</td>
						<td>Type</td>
						<td>Message ID</td>
						<td>Message</td>
					</tr>
          </thead>
          <tbody>
					<xsl:apply-templates select="entries/entry">
					</xsl:apply-templates>
          </tbody>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="entry">
		<tr>
      <xsl:choose>
          <xsl:when test="@type = 'Error'">
              <xsl:attribute name="class">ErrorRow</xsl:attribute>
          </xsl:when>
      </xsl:choose>            
			<td>
				<xsl:call-template name="formatDateTime">
					<xsl:with-param name="dateTime" select="@timestamp" />
				</xsl:call-template>
			</td>
			<td>
			<xsl:choose>
        <xsl:when test="string-length(@type)=0">&#160;</xsl:when>
        <xsl:otherwise>
				    <xsl:value-of select="@type" disable-output-escaping="yes"/>
        </xsl:otherwise>
      </xsl:choose>
      </td>
			<td>
			<xsl:choose>
    <xsl:when test="string-length(@messageID)=0">&#160;</xsl:when>
    <xsl:otherwise>
				<xsl:value-of select="@messageID" disable-output-escaping="yes"/>
    </xsl:otherwise>
</xsl:choose></td>
			<td>
				<xsl:value-of select="message" disable-output-escaping="yes"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="formatDateTime">
		<xsl:param name="dateTime" />
		<xsl:value-of select="concat(substring-before($dateTime, 'T'),' ',substring-before(substring-after($dateTime, 'T'),'.'))" />
	</xsl:template>
	
</xsl:stylesheet>
