﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="runjob.aspx.vb" Inherits="ArcanaDevelopment.adTempus.WebConsole.runjob" MasterPageFile="~/dialog.Master" Title="Execute Job" %>

<asp:Content runat="server" ContentPlaceHolderID="HeadContent">
    <style type="text/css">
        
            .riLabel,
            .rcbLabel {
                width: 100px !important;
            }

    </style>
</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="MainContent">
    <p><b>Execute Job: <%#Job.Name %></b></p>
    

<telerik:RadAjaxManagerProxy runat="server" ID="ajaxManagerProxy1" />

    <asp:Panel runat="server" ID="optionsPanel">
    <telerik:RadTabStrip ID="tabs" runat="server" MultiPageID="RadMultiPage1" Orientation="HorizontalTop" ShowBaseLine="True" SelectedIndex="0">
        <Tabs>
            <telerik:RadTab runat="server" text="General Options" />
            <telerik:RadTab runat="server" text="Steps" />
            <telerik:RadTab runat="server" text="Variables" />
            <telerik:RadTab runat="server" text="Notes" />
        </Tabs>
    </telerik:RadTabStrip>

    <telerik:RadMultiPage ID="RadMultiPage1" runat="server" CssClass="MultiPageWithTopTabs" SelectedIndex="0" Height="380px" >
        <telerik:RadPageView runat="server" ID="optionsTab" Selected="true" CssClass="TabPage" >
            <div style="padding-top:10px;">

                <fieldset>
                    <legend>Options</legend>
                    <div><asp:CheckBox runat="server" ID="cbIgnoreConditions" Text="Ignore conditions for the job" /></div>
                    <div><asp:CheckBox runat="server" ID="cbIgnoreStepConditions" Text="Ignore conditions for steps" /></div>
                    <div><asp:CheckBox runat="server" ID="cbForce" Text="Force a new instance of the job if necessary" Checked="true"  /></div>
                    <div><asp:CheckBox runat="server" ID="cbOverrideQueueLimits" Text="Override queue limits and force the job to run immediately" /></div>
                    <asp:PlaceHolder runat="server" ID="masterOptionsPanel">
                        <div><asp:CheckBox runat="server" ID="cbMasterOnly" Text="Run only on Master" /></div>
                        <div><asp:CheckBox runat="server" ID="cbForceMaster" Text="Force job to run on Master" /></div>
                    </asp:PlaceHolder>

                </fieldset>

                <div class="FormField">
                    <asp:Label runat="server" AssociatedControlID="responseOption" Text="Responses:" CssClass="rcbLabel" />
                    <asp:DropDownList runat="server" id="responseOption"/>
                </div>
                <div class="FormField">
                    <telerik:RadTextBox runat="server" ID="checkpoint" Label="Checkpoint:" Width="400" />
                </div>
            </div>
        </telerik:RadPageView>

        <telerik:RadPageView runat="server" ID="stepsTab" CssClass="TabPage">
            <asp:panel runat="server" ID="stepsOptions">
                <div class="FormField">
                    <asp:RadioButton runat="server" ID="rbRunFromBeginning" GroupName="StepRule" Checked="true" Text="Run the job from the beginning" />
                </div>

                <div class="FormField">
                    <asp:RadioButton runat="server" ID="rbRunFromStep" GroupName="StepRule" Text="Run the job from the specified step:" />
                </div>
                <div class="RadioChild">
                    <div>
                        <asp:DropDownList runat="server" id="startingStepSelector"/>
                    </div>
                    <div><asp:CheckBox runat="server" ID="cbRunOnlySelectedStep" Text="Run only the selected step" /></div>
                </div>
                <div class="FormField">
                    <asp:RadioButton runat="server" ID="rbRunSelectedSteps" GroupName="StepRule" Text="Run only the selected steps:" />
                </div>
                <div class="RadioChild">
                <telerik:RadListBox CheckBoxes="true" runat="server" ID="stepSelector"  Width="400">
                    </telerik:RadListBox>
                </div>
            </asp:panel>
        </telerik:RadPageView>

        <telerik:RadPageView runat="server" ID="variablesTab" CssClass="TabPage">
            <p>The following variables are defined for this job. You may override the values here. Variables defined at the step level are not overridable
                and are not listed.
            </p>
            <telerik:RadGrid runat="server" ID="variableGrid" AutoGenerateColumns="false" OnNeedDataSource="variableGrid_NeedDataSource" >
                <ClientSettings EnableAlternatingItems="False" EnablePostBackOnRowClick="False" >
                <Scrolling  AllowScroll="true" UseStaticHeaders="true"  />
            </ClientSettings>
            <MasterTableView DataKeyNames="OID" >
                <Columns>
                        <telerik:GridEditCommandColumn UniqueName="EditCommandColumn"/>
                         <telerik:GridBoundColumn DataField="Name" HeaderText="Name" UniqueName="VariableName" ReadOnly="true"/>
                    <telerik:GridBoundColumn DataField="VariableValue" HeaderText="Value" UniqueName="VariableValue"  ReadOnly="false">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Documentation" HeaderText="Description" UniqueName="VariableDescription"  ReadOnly="true"/>
                </Columns>
                <EditFormSettings UserControlName="../controls/JobVariableValueEntry.ascx" EditFormType="WebUserControl" >
                    <PopUpSettings Modal="true" />
                <EditColumn UniqueName="EditCommandColumn1"/>
                </EditFormSettings>

            </MasterTableView>
            </telerik:RadGrid>
        </telerik:RadPageView>

        <telerik:RadPageView runat="server" ID="notesTab" CssClass="TabPage">
            <label class="legend">Job Description/Notes</label>
            <div  style="overflow:scroll;width:100%;height:150px;" class="readonly">
                <asp:Literal runat="server" ID="jobNotes" />
            </div>

            <label class="legend">Comments for this instance</label>
            <telerik:RadTextBox runat="server" ID="instanceComments" TextMode="MultiLine" rows="10"  Width="100%"/>
        </telerik:RadPageView>
    </telerik:RadMultiPage>

    <div class="ButtonStrip Bottom " >
        <div class="Buttons">
            <telerik:RadButton runat="server" ButtonType="SkinnedButton" ID="btnOK" Text="Run" OnClick="btnOK_Click" />
            <telerik:RadButton runat="server" AutoPostBack="false" ButtonType="SkinnedButton" ID="btnClose" Text="Cancel" OnClientClicked="CloseRadWindow" />
        </div>
    </div>

    </asp:Panel>

    <asp:Panel runat="server" ID="messagePanel" Visible="false">
        <p><asp:Literal runat="server" ID="messageLiteral" /></p>
        <div class="centered"><telerik:RadButton runat="server" AutoPostBack="false" ButtonType="SkinnedButton" ID="RadButton1" Text="Close" OnClientClicked="CloseRadWindow" /></div>
    </asp:Panel>
    
</asp:Content>